/*********************************************************************
** AreaBuilder is a program designed to build maps for MUDS like    **
** Anatolia.                                                        **
** Copyright (C) 2003 Pierre Chatelier                              **
**                                                                  **
** This program is free software; you can redistribute              **
** it and/or modify it under the terms of the GNU                   **
** General Public License as published by the                       **
** Free Software Foundation, version 2.                             **
**                                                                  **
** This program is distributed in the hope that it will be          **
** useful, but WITHOUT ANY WARRANTY; without even the implied       **
** warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. **
** See the GNU General Public License for more details.             **
**                                                                  **
** You should have received a copy of the                           **
** GNU General Public License along with this program; if not,      **
** write to the Free Software Foundation,                           **
** Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA      **
*********************************************************************/
package areabuilder;

public class LiquidStructure
{
  String name = null;
  String color = null;
  int proof = 0;
  int hunger = 0;
  int thirst = 0;

  public LiquidStructure(String name, String color, int proof, int hunger, int thirst)
  {
     this.name = name;
     this.color = color;
     this.proof = proof;
     this.hunger = hunger;
     this.thirst = thirst;
  }

  public String getName()  {return name;}
  public String getColor() {return color;}
  public int getProof()    {return proof;}
  public int getHunger()   {return hunger;}
  public int getThirst()   {return thirst;}
}